#ifndef __ascursh__
#define __ascursh__

//***********************************************************************
//
//	File:			ascurs.h
//					Copyright 1991-94 by Capilano Computing Systems Ltd.
//					All Rights Reserved.
//
//
//	Written by:		Addam Smith
//	Created:		9.1.89
//
//
//	Version:		1.10
//	Modify History:	8.17.92, Addam Smith
//					ADDED: New typedefs structs usable with any 'acur'.
//					ADDED: NewSpinCursor() prototype.
//					ADDED: DeleteSpinCursor() prototype.
//
//	Version:		1.00
//	Modify History:	11.2.90, Addam Smith
//					REMOVED: Command-period cancelling code from
//						SpinCursor().
//
//					10.18.90, Addam Smith
//					REMOVED: Eliminated the "SpinCursor.h" file and made
//						"ascurs.h"
//
//
//	Compiler:		MPW C 3.2
//
//	Description:	This file contains prototypes for "ascursor.c".
//
//***********************************************************************



//*************************** INCLUDES **********************************

#include <Carbon/Carbon.h>
#if 0
#if MAC_OS_X_VERSION_MAX_ALLOWED >=MAC_OS_X_VERSION_10_7 
typedef short                           Bits16[16];
enum {
    commandMark                   = 17,
    checkMark                     = 18,
    diamondMark                   = 19,
    appleMark                     = 20
};

struct Cursor {
    Bits16              data;
    Bits16              mask;
    Point               hotSpot;
};
enum {
    systemFont                    = 0,
    applFont                      = 1
};

enum {
    /* transfer modes */
 //   srcCopy                       = 0,    /*the 16 transfer modes*/
    srcOr                         = 1,
    srcXor                        = 2,
    srcBic                        = 3,
    notSrcCopy                    = 4,
    notSrcOr                      = 5,
    notSrcXor                     = 6,
    notSrcBic                     = 7,
    patCopy                       = 8,
    patOr                         = 9,
    patXor                        = 10,
    patBic                        = 11,
    notPatCopy                    = 12,
    notPatOr                      = 13,
    notPatXor                     = 14,
    notPatBic                     = 15,   /* Special Text Transfer Mode */
    grayishTextOr                 = 49,
    hilitetransfermode            = 50,
    hilite                        = 50,   /* Arithmetic transfer modes */
    blend                         = 32,
    addPin                        = 33,
    addOver                       = 34,
    subPin                        = 35,
    addMax                        = 37,
    adMax                         = 37,
    subOver                       = 38,
    adMin                         = 39,
    ditherCopy                    = 64,   /* Transparent mode constant */
    transparent                   = 36
};
typedef struct Cursor                   Cursor;
typedef Cursor *                        CursPtr;
typedef CursPtr *                       CursHandle;
#endif
#endif

//********************** CONSTANTS/TYPES/GLOBALS ************************

typedef struct
{
	short	cursid;				// 'CURS' resource id
	short	fill;				// for union
} tCursid;

typedef struct
{
    short	n;        			// Number of cursors (frames of film)
    short	index;    			// Next frame to show (for internal use)
	union
	{
    	tCursid		id;
 		CursHandle	hCursor;
	}
	cursors[1];
}
tAcur, *pTAcur, **hTAcur;

typedef struct
{
	unsigned long	lastTime;	// Counter for last time we spun this cursor
	hTAcur			hAcur;		// Spinnable cursor data
}
tSpinCurs, *pTSpinCurs, **hTSpinCurs;



//************************* PROTOTYPES **********************************

#ifdef __cplusplus
extern "C" {
#endif


pTSpinCurs NewSpinCursor( short acurID );
void DeleteSpinCursor( pTSpinCurs pSpinCurs );
void SpinCursor( pTSpinCurs pSpinCurs );
void RotateCursor( pTSpinCurs pSpinCurs, long counter );


#ifdef __cplusplus
}
#endif


#endif	// __ascursh__